www.cendio.com
Bug 4313 - Handle missing SELinux makefile in tl-setup
: Handle missing SELinux makefile in tl-setup
Status: CLOSED FIXED
: ThinLinc
Server Installer
: 3.4.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
: 4939
  Show dependency treegraph
 
Reported: 2012-05-29 20:41 by
Modified: 2014-10-06 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2012-05-29 20:41:45
The /opt/thinlinc/share/selinux/install script requires that a Makefile for
SElinux-related stuff is installed. In F16, it was provided by the
selinux-policy package which seems to be installed by default. In F17, the
makefile and related files were moved to a selinux-policy-devel package which
is not installed by default.

The installer just says "Couldn't configure SELinux for ThinLinc." but it would
be nice if we could either tell them to install the package by hand or offering
to do so automatically now that we have a nice framework for installing
packages.
------- Comment #1 From cendio 2014-08-27 15:46:30 -------
RHEL 7 is affected by this, moving this bug from Future to --- for discussion.
------- Comment #2 From cendio 2014-09-09 14:16:11 -------
Fixed in r29333:29336.

This is slightly more complex than the other package installation pages as we
intertwine the question if we should install our SELinux module with the
question if we should install the SELinux development packages.

Tester needs to verify combinations of:

 - Text/X11 mode

 - Development packages installed or not

 - Answering Yes/No to the SELinux module question

 - Answering Yes/No to the SELinux development installation question
------- Comment #3 From cendio 2014-09-23 09:45:28 -------
Latest tl-setup crashes on SLED11:

...
2014-09-23 03:37:40,561: Removed zypper lock
2014-09-23 03:37:46,492: Setting /vsmserver/admin_email to 'root@localhost'
2014-09-23 03:37:52,878: Setting /tlwebadm/password
2014-09-23 03:37:54,548: Configuring CUPS...
2014-09-23 03:37:54,548: Adding 'nearest' printer queue...
2014-09-23 03:37:57,338: Adding 'thinlocal' printer queue...
2014-09-23 03:38:00,206: Done
2014-09-23 03:38:17,542: TypeError: <lambda>() takes no arguments (2 given)

I'm guessing that this is because of this commit:

------------------------------------------------------------------------
r29336 | ossman | 2014-09-09 14:13:32 +0200 (tis, 09 sep 2014) | 3 lines
Ändrade sökvägar:
   M /trunk/ctc/tlmisc/tl-setup/modules/thinlinc/tlsetup/selinux.py

Install the SELinux development files if they are missing. Solves
bug 5239.

------------------------------------------------------------------------

Note that the reference to bug 5239 is also incorrect.
------- Comment #4 From cendio 2014-09-23 13:19:33 -------
Bug in the package installer helper. It calls the unwilling helper differently
depending on various circumstances.
------- Comment #5 From cendio 2014-09-23 13:37:00 -------
Fixed in r29407.
------- Comment #6 From cendio 2014-09-25 09:45:40 -------
Verified using ThinLinc server build 4501.

Text mode:
Dev. package avail     no      no      yes    yes
Install module           no      yes     yes    no
Install package           -       yes     -      -

Gui mode:
Dev. package avail     no      no      yes    yes
Install module           no      yes     yes    no
Install package           -       yes     -      -

Works as expected and i have also tested to break the flow using back button in
the middle of process without success.